OpenVDB 11.0.0

Loading...
Searching...
No Matches
Classes | Public Member Functions | List of all members
NodeList< NodeT >::NodeRange Class Reference

`#include <openvdb/tree/NodeManager.h>`

## Classes
class | Iterator

## Public Member Functions
| NodeRange (size_t begin, size_t end, const NodeList &nodeList, size_t grainSize=1)
| NodeRange (NodeRange &r, tbb::split)
size_t | size () const
size_t | grainsize () const
const NodeList & | nodeList () const
bool | empty () const
bool | is_divisible () const
Iterator | begin () const
Iterator | end () const

## Constructor & Destructor Documentation

## ◆ NodeRange() [1/2]

template<typename NodeT >

NodeRange | ( | size_t | begin,
|  | size_t | end,
|  | const NodeList & | nodeList,
|  | size_t | grainSize = `1`
| ) |  |
| inline

## ◆ NodeRange() [2/2]

template<typename NodeT >

NodeRange | ( | NodeRange & | r,
|  | tbb::split |
| ) |  |
| inline

## Member Function Documentation

## ◆ begin()

template<typename NodeT >

Iterator begin | ( |  | ) | const
| inline

## ◆ empty()

template<typename NodeT >

bool empty | ( |  | ) | const
| inline

## ◆ end()

template<typename NodeT >

Iterator end | ( |  | ) | const
| inline

## ◆ grainsize()

template<typename NodeT >

size_t grainsize | ( |  | ) | const
| inline

## ◆ is_divisible()

template<typename NodeT >

bool is_divisible | ( |  | ) | const
| inline

## ◆ nodeList()

template<typename NodeT >

const NodeList & nodeList | ( |  | ) | const
| inline

## ◆ size()

template<typename NodeT >

size_t size | ( |  | ) | const
| inline